% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/argument_conventions.R
\name{compat_args}
\alias{compat_args}
\title{Compatibility Arg Conventions}
\usage{
compat_args(.lst, row.name, format, indent, label, inset)
}
\arguments{
\item{.lst}{list. An already-collected list of arguments to be used instead
of the elements of \code{\dots}. Arguments passed via \code{\dots} will be
ignored if this is specified.}

\item{row.name}{if \code{NULL} then an empty string is used as
\code{row.name} of the \code{\link{rrow}}.}

\item{format}{character(1) or function. The format label (string) or
formatter function to apply to the cell values passed via \code{...}. See
\code{\link[formatters]{list_valid_format_labels}} for currently supported
format labels.}

\item{indent}{deprecated.}

\item{label}{character(1). A label (not to be confused with the name) for the
object/structure.}

\item{inset}{integer(1). The table inset for the row or table being
constructed. See \code{\link[formatters]{table_inset}}.}
}
\value{
NULL (this is an argument template dummy function)
}
\description{
Compatibility Arg Conventions
}
\seealso{
Other conventions: 
\code{\link{constr_args}()},
\code{\link{gen_args}()},
\code{\link{lyt_args}()},
\code{\link{sf_args}()}
}
\concept{conventions}
