% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tree_accessors.R
\name{nrow,VTableTree-method}
\alias{nrow,VTableTree-method}
\alias{ncol,VTableNodeInfo-method}
\alias{dim,VTableNodeInfo-method}
\title{Table Dimensions}
\usage{
\S4method{nrow}{VTableTree}(x)

\S4method{ncol}{VTableNodeInfo}(x)

\S4method{dim}{VTableNodeInfo}(x)
}
\arguments{
\item{x}{\code{TableTree} or \code{ElementaryTable} object}
}
\value{
the number of rows (nrow), columns (ncol) or both (dim) of the object.
}
\description{
Table Dimensions
}
\examples{
lyt <- basic_table() \%>\%
  split_cols_by("ARM") \%>\%
  analyze(c("SEX", "AGE"))

tbl <- build_table(lyt, ex_adsl)

dim(tbl)
nrow(tbl)
ncol(tbl)

NROW(tbl)
NCOL(tbl)

}
