% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summary.R
\name{row_paths}
\alias{row_paths}
\alias{col_paths}
\title{Return List with Table Row/Col Paths}
\usage{
row_paths(x)

col_paths(x)
}
\arguments{
\item{x}{an rtable object}
}
\value{
a list of paths to each row/column within \code{x}
}
\description{
Return List with Table Row/Col Paths
}
\examples{
lyt <- basic_table() \%>\%
  split_cols_by("ARM") \%>\%
  analyze(c("SEX", "AGE"))

tbl <- build_table(lyt, ex_adsl)
tbl

row_paths(tbl)
col_paths(tbl)

cell_values(tbl, c("AGE", "Mean"),  c("ARM", "B: Placebo"))

}
\seealso{
\code{\link[=cell_values]{cell_values()}}, \code{\link{fnotes_at_path<-}},
\code{\link[=row_paths_summary]{row_paths_summary()}}, \code{\link[=col_paths_summary]{col_paths_summary()}}
}
