% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tt_compatibility.R
\name{rrow}
\alias{rrow}
\title{row}
\usage{
rrow(row.name = "", ..., format = NULL, indent = 0, inset = 0L)
}
\arguments{
\item{row.name}{if \code{NULL} then an empty string is used as
\code{row.name} of the \code{\link{rrow}}.}

\item{\dots}{cell values}

\item{format}{character(1) or function. The format label (string) or
formatter function to apply to the cell values passed via \code{...}. See
\code{\link[formatters]{list_valid_format_labels}} for currently supported
format labels.}

\item{indent}{deprecated.}

\item{inset}{integer(1). The table inset for the row or table being
constructed. See \code{\link[formatters]{table_inset}}.}
}
\value{
A row object of the context-appropriate type (label or data)
}
\description{
row
}
\examples{

rrow("ABC", c(1,2), c(3,2), format = "xx (xx.\%)")
rrow("")

}
\seealso{
Other compatibility: 
\code{\link{rheader}()},
\code{\link{rrowl}()},
\code{\link{rtable}()}
}
\concept{compatibility}
